Package twisted :: Package protocols :: Module ftp :: Class DTP

[frames | no frames]

## Class DTP

              object --+
                       |
    BaseProtocol --+   |
                   |   |
            Protocol --+
                       |
                      DTP

The Data Transfer Protocol for this FTP-PI instance all dtp_* methods return a deferred

Method Summary
| `_dtpPostTransferCleanup(self, *arg)`
| `connectionLost(self, reason)`
| ``connectionMade`(self)` Will start an transfer, if one is queued up, when the client connects
| ``dtp_RETR`(self)` ssnds a file object out the wire @param fpSizeTuple a tuple of a file object and that file's size
| `transformChunk(self, chunk)`
Inherited from object
| `__init__(...)`
| `__delattr__(...)`
| `__getattribute__(...)`
| `__hash__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
| `__str__(...)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``dataReceived`(self, data)` Called whenever data is received.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from type
| `__new__(...)`

Class Variable Summary
`int` | `isConnected` = 0
`SRE_Pattern` | `reTransform` = `(?!\r)\n`
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self)

Will start an transfer, if one is queued up, when the client connects

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade`

### dtp_RETR(self)

ssnds a file object out the wire @param fpSizeTuple a tuple of a file object and that file's size

Class Variable Details

### isConnected

  Type:
    `int`
  Value:

        0

### reTransform

  Type:
    `SRE_Pattern`
  Value:

        (?!\r)\n

Generated by Epydoc 2.0 on Sat May 15 20:08:50 2004 | http://epydoc.sf.net